Subject: Re: [PATCH net-next v7] selftests: net: add tests for PPP

From: Jakub Kicinski <[email-masked]>
Date: Wed, 1 Apr 2026 17:56:21 -0700

On Wed, 1 Apr 2026 23:45:38 +0800 Qingfang Deng wrote:
> > # iperf3: error - unable to connect to server - server may have stopped running or use a different port, firewall issue, etc.: Network is unreachable
> > # TEST: PPPoE                                                         [FAIL]
> > not ok 1 selftests: net/ppp: pppoe.sh # exit=1  
> 
> It looks like pppoe-server fails to start. You may check the syslog to
> see what's going on.

Hm, we don't capture syslog automatically :S We capture stdout and
stderr

I'm not even sure there's something listening on syslog in virtme-ng
Is it possible to make the daemon log to stdout or a file and dump
that file to stdout on failure? Even if we fix the current issue
it will be quite inconvenient if we have to go into syslog every time
the test is failing. The test output should provide enough info to
debug failures.